Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class AuditEvent

    java.lang.Object
      oracle.ifs.common.AuditEvent

All Implemented Interfaces:
  java.io.Serializable

    public final class AuditEvent

extends java.lang.Object
implements java.io.Serializable

An AuditEvent represents an audit event retrieved from an Audit History.

See Also:
  Serialized Form

Field Summary
`static int` | `POST_AS_FAILURE` Enumerated value indicating that the AuditEvent should be posted as a failure.
`static int` | `POST_NORMALLY` Enumerated value indicating that the AuditEvent should be posted with "normal" semantics, meaning that it should be recorded as a success if the transaction is committed, and a failure otherwise.
`static int` | `POST_ONLY_ON_FAILURE` Enumerated value indicating that the AuditEvent should be posted as a failure if the transaction fails, and not at all otherwise.
`static int` | `POST_ONLY_ON_SUCCESS` Enumerated value indicating that the AuditEvent should be posted as a success if the transaction succeeds, and not at all otherwise.

Constructor Summary
`AuditEvent()` Constructs an AuditEvent.
`AuditEvent(java.lang.String opTypeKey, LibraryObjectInterface target, LibraryObjectInterface domain, LibraryObjectInterface[] auxObjects, AttributeValue[] properties)` Constructs an AuditEvent in preparation for saving into the repository.
`AuditEvent(java.lang.String opTypeKey, LibraryObjectInterface target, LibraryObjectInterface domain, LibraryObjectInterface[] auxObjects, java.lang.String auxString, java.lang.Long auxNumber, AttributeValue[] properties)` Constructs an AuditEvent in preparation for saving into the repository.

Method Summary
`java.lang.String` | `getApplicationContext()` Gets the Application context (if any) for the event.
`long` | `getApplicationContextReference()` Gets the Application context reference (if any) for the event.
`long` | `getApplicationSessionId()` Gets the identifier of the application session context (if any) which performed the operation that resulted in creating this event.
`java.lang.String` | `getApplicationUser()` Gets the Application User (if any) for the event.
`long` | `getApplicationUserReference()` Gets the Application User reference (if any) for the event.
`long` | `getAuditSpecificationId()` Gets the ID of the AuditSpecification for which this event is associated.
`long[]` | `getAuxiliaryClassIds()` Gets the IDs of the auxiliary object's class associated with this event.
`java.lang.Long` | `getAuxiliaryNumber()` Gets the auxiliary number (if any) for the event.
`long[]` | `getAuxiliaryObjectIds()` Gets the IDs of the auxiliary objects associated with this event.
`java.lang.String` | `getAuxiliaryString()` Gets the auxiliary String (if any) for the event.
`long` | `getAuxiliaryStringReference()` Gets the auxiliary String reference (if any) for the event.
`java.util.Date` | `getCreateDate()` Gets the date the event was created.
`long` | `getCreatorId()` Gets the ID of the user whose operation resulted in creating this event.
`long` | `getDomainId()` Gets the ID of the Domain for which this event is associated.
`long` | `getFolderContextId()` Gets the ID of the folder context for this event.
`AttributeValue` | `getFolderContextValue()` Returns the folder context established for this event during pre-insert processing.
`long` | `getId()` Gets the audit event identifier.
`int` | `getOperationType()` Gets the numeric representation of the Audit Operation type for the event.
`java.lang.String` | `getOperationTypeKey()` Gets the String key representing the Audit Operation type for the event.
`AttributeValue[]` | `getProperties()` Gets the properties associated with this event.
`AttributeValue[]` | `getProperties(AuditExecutor executor)` Gets the properties associated with this event.
`long` | `getPropertyId()` Gets the ID that defines the properties (if any) for the event.
`long` | `getSessionId()` Gets the identifier of the LibrarySession which performed the operation that resulted in creating this event.
`long` | `getSessionUserId()` The ID of the actual session user that created the event.
`java.lang.Long` | `getTargetObjectClassId()` Gets the Class ID of the target object for which this event is associated.
`long` | `getTargetObjectClassIdValue()` Gets the numeric value of the Class ID of the target object for which this event is associated.
`java.lang.Long` | `getTargetObjectId()` Gets the ID of the target object for which this event is associated.
`long` | `getTargetObjectIdValue()` Gets the numeric value of the ID of the target object for which this event is associated.
`boolean` | `isCustomEvent()` Returns indication as to whether the event referenced is for a custom operation type.
`boolean` | `isOperationSuccessful()` Returns indication as to whether the operation sttempted which resulted in the creation of this event actually succeeded.
`void` | `setFolderContextValue(AttributeValue context)` Sets the folder context established for this event during pre-insert processing.
`void` | `setPersistentData(AuditExecutor executor, long id, long auditSpecId, int opType, java.util.Date createDate, long creatorId, long sessionUserId, long sessionId, long appSessionId, boolean opSuccess, long propId, long domainId, java.lang.String opTypeKey, long targetId, long targetClassId, long folderContextId, long[] auxIds, long[] auxClassIds, long appUserRef, java.lang.String appUser, long appContextRef, java.lang.String appContext, long auxStringRef, java.lang.String auxString, java.lang.Long auxNumber)` Sets the persistent information regarding the event.
`void` | `setProperties(AuditExecutor executor, AttributeValue[] properties)` Sets the properties associated with this event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POST_NORMALLY

    public static final int POST_NORMALLY

  Description copied from class: `AuditEvent`
  Enumerated value indicating that the AuditEvent should be posted with "normal" semantics, meaning that it should be recorded as a success if the transaction is committed, and a failure otherwise.

  Has the numeric value of 1.

  See Also:
    Constant Field Values

### POST_ONLY_ON_FAILURE

    public static final int POST_ONLY_ON_FAILURE

  Description copied from class: `AuditEvent`
  Enumerated value indicating that the AuditEvent should be posted as a failure if the transaction fails, and not at all otherwise.

  Has the numeric value of 2.

  See Also:
    Constant Field Values

### POST_ONLY_ON_SUCCESS

    public static final int POST_ONLY_ON_SUCCESS

  Description copied from class: `AuditEvent`
  Enumerated value indicating that the AuditEvent should be posted as a success if the transaction succeeds, and not at all otherwise.

  Has the numeric value of 3.

  See Also:
    Constant Field Values

### POST_AS_FAILURE

    public static final int POST_AS_FAILURE

  Description copied from class: `AuditEvent`
  Enumerated value indicating that the AuditEvent should be posted as a failure.

  Has the numeric value of 4.

  See Also:
    Constant Field Values

Constructor Detail

### AuditEvent

    public AuditEvent()

  Constructs an AuditEvent.

### AuditEvent

    public AuditEvent(java.lang.String opTypeKey,
                      LibraryObjectInterface target,
                      LibraryObjectInterface domain,
                      LibraryObjectInterface[] auxObjects,
                      AttributeValue[] properties)
               throws IfsException

  Constructs an AuditEvent in preparation for saving into the repository.

  A maximum of 3 auxiliary objects can be specified. Additional auxiliary objects are ignored.

  Delegates to the 7-arg variant, using null for the auxiliary string and auxiliary number.

  Parameters:
    `opTypeKey` - the operation type key
    `target` - the target object
    `domain` - the domain context for the target object
    `auxObjects` - the auxiliary objects
    `properties` - the event properties
  Throws:
    `IfsException`

### AuditEvent

    public AuditEvent(java.lang.String opTypeKey,
                      LibraryObjectInterface target,
                      LibraryObjectInterface domain,
                      LibraryObjectInterface[] auxObjects,
                      java.lang.String auxString,
                      java.lang.Long auxNumber,
                      AttributeValue[] properties)
               throws IfsException

  Constructs an AuditEvent in preparation for saving into the repository.

  A maximum of 3 auxiliary objects can be specified. Additional auxiliary objects are ignored.

  Parameters:
    `opTypeKey` - the operation type key
    `target` - the target object
    `domain` - the domain context for the target object
    `auxObjects` - the auxiliary objects
    `auxString` - the auxiliary string
    `auxNumber` - the auxiliary number
    `properties` - the event properties
  Throws:
    `IfsException`

Method Detail

### getId

    public long getId()

  Description copied from class: `AuditEvent`
  Gets the audit event identifier.

  Returns 0 for an event that is not persistent.

  Returns:
    the audit identifier

### getAuditSpecificationId

    public long getAuditSpecificationId()

  Description copied from class: `AuditEvent`
  Gets the ID of the AuditSpecification for which this event is associated.

  Returns 0 for an event that is not persistent.

  Returns:
    the AuditSpecification ID

### getDomainId

    public long getDomainId()

  Description copied from class: `AuditEvent`
  Gets the ID of the Domain for which this event is associated.

  Returns:
    the Domain ID

### getOperationType

    public int getOperationType()

  Description copied from class: `AuditEvent`
  Gets the numeric representation of the Audit Operation type for the event.

  Returns 0 for an event that is not persistent.

  Returns:
    the numeric representation of the operation type

### getOperationTypeKey

    public java.lang.String getOperationTypeKey()

  Description copied from class: `AuditEvent`
  Gets the String key representing the Audit Operation type for the event.

  Returns:
    the operation type key

### getCreateDate

    public java.util.Date getCreateDate()

  Description copied from class: `AuditEvent`
  Gets the date the event was created.

  Returns null for an event that is not persistent.

  Returns:
    the create date

### getCreatorId

    public long getCreatorId()

  Description copied from class: `AuditEvent`
  Gets the ID of the user whose operation resulted in creating this event.

  Returns 0 for an event that is not persistent.

  Returns:
    the creator ID

### getSessionUserId

    public long getSessionUserId()

  Description copied from class: `AuditEvent`
  The ID of the actual session user that created the event.

  Can be different from the creator ID if the sesison uses impersonation or other kind of "switch into admin mode" paradigm.

  Returns:
    the ID of the session user when the event was created

### getSessionId

    public long getSessionId()

  Description copied from class: `AuditEvent`
  Gets the identifier of the LibrarySession which performed the operation that resulted in creating this event.

  Returns 0 for an event that is not persistent.

  Returns:
    the session identifier

### getApplicationSessionId

    public long getApplicationSessionId()

  Description copied from class: `AuditEvent`
  Gets the identifier of the application session context (if any) which performed the operation that resulted in creating this event.

  Returns 0 for an event that is not persistent. Also returns 0 if the operation was performed without any special application context.

  Returns:
    the application session identifier

### isOperationSuccessful

    public boolean isOperationSuccessful()

  Description copied from class: `AuditEvent`
  Returns indication as to whether the operation sttempted which resulted in the creation of this event actually succeeded.

  Returns false for an event that is not persistent.

  Returns:
    true if the operation represented by this event completed successfully; false otherwise

### getTargetObjectId

    public java.lang.Long getTargetObjectId()

  Description copied from class: `AuditEvent`
  Gets the ID of the target object for which this event is associated.

  Will return a Long with the value of zero for an event with no target.

  Returns:
    the Target object ID

### getTargetObjectIdValue

    public long getTargetObjectIdValue()

  Description copied from class: `AuditEvent`
  Gets the numeric value of the ID of the target object for which this event is associated.

  Returns:
    the Target object ID value

### getTargetObjectClassId

    public java.lang.Long getTargetObjectClassId()

  Description copied from class: `AuditEvent`
  Gets the Class ID of the target object for which this event is associated.

  Returns:
    the Target object Class ID

### getTargetObjectClassIdValue

    public long getTargetObjectClassIdValue()

  Description copied from class: `AuditEvent`
  Gets the numeric value of the Class ID of the target object for which this event is associated.

  Returns:
    the Target object Class ID value

### getAuxiliaryObjectIds

    public long[] getAuxiliaryObjectIds()

  Description copied from class: `AuditEvent`
  Gets the IDs of the auxiliary objects associated with this event.

  Returns:
    the auxiliary object IDs

### getAuxiliaryClassIds

    public long[] getAuxiliaryClassIds()

  Description copied from class: `AuditEvent`
  Gets the IDs of the auxiliary object's class associated with this event.

  Returns:
    the auxiliary class IDs

### getApplicationUserReference

    public long getApplicationUserReference()

  Description copied from class: `AuditEvent`
  Gets the Application User reference (if any) for the event.

  Returns:
    the Application User numeric reference

### getApplicationUser

    public java.lang.String getApplicationUser()

  Description copied from class: `AuditEvent`
  Gets the Application User (if any) for the event.

  Returns:
    the Application User

### getApplicationContextReference

    public long getApplicationContextReference()

  Description copied from class: `AuditEvent`
  Gets the Application context reference (if any) for the event.

  Returns:
    the Application context numeric reference

### getApplicationContext

    public java.lang.String getApplicationContext()

  Description copied from class: `AuditEvent`
  Gets the Application context (if any) for the event.

  Returns:
    the Application context string

### getAuxiliaryStringReference

    public long getAuxiliaryStringReference()

  Description copied from class: `AuditEvent`
  Gets the auxiliary String reference (if any) for the event.

  Returns:
    the auxiliary String numeric reference

### getAuxiliaryString

    public java.lang.String getAuxiliaryString()

  Description copied from class: `AuditEvent`
  Gets the auxiliary String (if any) for the event.

  Returns:
    the auxiliary String

### getAuxiliaryNumber

    public java.lang.Long getAuxiliaryNumber()

  Description copied from class: `AuditEvent`
  Gets the auxiliary number (if any) for the event.

  Returns:
    the auxiliary number

### getPropertyId

    public long getPropertyId()

  Description copied from class: `AuditEvent`
  Gets the ID that defines the properties (if any) for the event.

  Returns:
    the ID that identifies the event's properties

### getFolderContextId

    public long getFolderContextId()

  Description copied from class: `AuditEvent`
  Gets the ID of the folder context for this event.

  Returns zero if the folder context is the Domain.

  Returns:
    the ID of the folder context for this event

### getProperties

    public AttributeValue[] getProperties()

  Description copied from class: `AuditEvent`
  Gets the properties associated with this event.

  Returns:
    the event properties

### getProperties

    public AttributeValue[] getProperties(AuditExecutor executor)

  Description copied from class: `AuditEvent`
  Gets the properties associated with this event.

  Avoids cloning if a valid AuditExecutor is specified.

  Parameters:
    `executor` - the executor constructing this event; must not be null
  Returns:
    the event properties

### isCustomEvent

    public boolean isCustomEvent()

  Description copied from class: `AuditEvent`
  Returns indication as to whether the event referenced is for a custom operation type.

  Returns:
    true if the event referenced is for a custom operation type; false otherwise

### getFolderContextValue

    public AttributeValue getFolderContextValue()

  Description copied from class: `AuditEvent`
  Returns the folder context established for this event during pre-insert processing.

  This can return null, in which case the folder context should be established and saved back onto this instance.

  Returns:
    the folder context value

### setPersistentData

    public void setPersistentData(AuditExecutor executor,
                                  long id,
                                  long auditSpecId,
                                  int opType,
                                  java.util.Date createDate,
                                  long creatorId,
                                  long sessionUserId,
                                  long sessionId,
                                  long appSessionId,
                                  boolean opSuccess,
                                  long propId,
                                  long domainId,
                                  java.lang.String opTypeKey,
                                  long targetId,
                                  long targetClassId,
                                  long folderContextId,
                                  long[] auxIds,
                                  long[] auxClassIds,
                                  long appUserRef,
                                  java.lang.String appUser,
                                  long appContextRef,
                                  java.lang.String appContext,
                                  long auxStringRef,
                                  java.lang.String auxString,
                                  java.lang.Long auxNumber)

  Description copied from class: `AuditEvent`
  Sets the persistent information regarding the event.

  This is called as part of constructing an event that is already persistent.

  Parameters:
    `executor` - the executor constructing this event; must not be null
    `id` - the event id
    `auditSpecId` - the AuditSpecification id
    `opType` - the numeric operation type
    `createDate` - the date the event was created
    `creatorId` - the user that created the event
    `sessionUserId` - the ID of actual session user; can be different if the sesison uses impersonation or other kind of "switch into admin mode" paradigm
    `sessionId` - the session ID that created the event
    `appSessionId` - the application session ID that created the event
    `opSuccess` - whether the operation was successful
    `propId` - the ID for any event properties
    `domainId` - the Domain ID
    `opTypeKey` - the operation type key
    `targetId` - the Target object ID
    `targetClassId` - the Target object's Class ID
    `folderContextId` - the Folder context for the target object
    `auxIds` - the auxiliary object IDs
    `auxClassIds` - the auxiliary class IDs
    `appUserRef` - the Application user string reference
    `appUser` - the Application user string
    `appContextRef` - the Application context string reference
    `appContext` - the Application context string
    `auxStringRef` - the auxiliary string reference
    `auxString` - the auxiliary string
    `auxNumber` - the auxiliary number

### setProperties

    public void setProperties(AuditExecutor executor,
                              AttributeValue[] properties)

  Description copied from class: `AuditEvent`
  Sets the properties associated with this event.

  This variant does not clone the specified properties, as they are provided by the trusted AuditExecutor.

  Parameters:
    `executor` - the executor constructing this event; must not be null
    `properties` - the event properties

### setFolderContextValue

    public void setFolderContextValue(AttributeValue context)

  Description copied from class: `AuditEvent`
  Sets the folder context established for this event during pre-insert processing.

  The value specified can be null, which forces the server-side code to compute the folder context, or it can represent a null value, which indicates that the domain should be used as the folder context.

  Parameters:
    `context` - the folder context value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD